Bug 251164 - [dell inspiron] F8 kernel won't boot
[dell inspiron] F8 kernel won't boot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-07 11:39 EDT by Gerald Henriksen
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-21 13:34:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gerald Henriksen 2007-08-07 11:39:41 EDT
Booting the F8T1 LiveCD I get:

Loading vmlinuz
Loading initrd.img
Ready.

and then nothing else happens.

Dell Inspiron 5150 laptop, currently runs F7 fine.

The same LiveCD works fine on another machine.
Comment 1 Gerald Henriksen 2007-08-09 22:03:54 EDT
Updated to devel (from F7) using yum instead and the current devel kernel also
won't boot on my laptop.

Comment 2 Gerald Henriksen 2007-08-10 10:19:04 EDT
Trying to boot 2.6.3-0.74.rc2.git1.fc8 all I get after the grub prompt is

root ...
kernel ...
initrd ...

and then a blinking cursor.
Comment 3 Chuck Ebbert 2007-08-10 17:07:13 EDT
That bug should have been fixed, but maybe it is still there on some systems.
Try adding "edid=skipmbr" to the kernel parameters.
Comment 4 Gerald Henriksen 2007-08-10 21:12:18 EDT
edid=skipmbr makes no difference.
Comment 5 Chuck Ebbert 2007-08-13 12:59:01 EDT
(In reply to comment #4)
> edid=skipmbr makes no difference.
> 

Oops, that's "edd=skipmbr", please try that.

Comment 6 Gerald Henriksen 2007-08-13 23:04:11 EDT
Still won't boot.
Comment 7 Chuck Ebbert 2007-08-14 16:07:35 EDT
What cpufreq governor is in use just before suspend?

It's in /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor

Try changing it to "performance" before suspending.
Comment 8 Gerald Henriksen 2007-08-14 18:04:12 EDT
The current F8t1 or devel kernels won't even start up at all, the only way I can
get my laptop to boot is using the F7 kernel that remained after using yum to
upgrade to devel.

Comment 9 Pat Kane 2007-08-17 11:35:09 EDT
[ I also added this comment to bug 251724 -- PEK]
The F8T1 DVD does not install on my Dell Inspiron 8600
laptop (Service Tag: DC0Y441  BIOS: A14).
After choosing "Install" from the main menu I see the
following:

   Loading vmlinuz ............................
   Loading initrd.img .......................
   .....
   Ready.

then the system hangs.

I tried the F8T1 DVD on my Dell Dimension 1100 tower, the
verify of the media was good and the install went
okay.

Pat
---

P.S. I just installed the F7 DVD on the 8600 laptop without problems
Comment 10 Pat Kane 2007-08-17 11:39:16 EDT
I could connect a serial line to my laptop's serial port if
there is a chance that that might provide useful info for
debugging the problem.   Are there special boot options
to use a serial console?  What BAUD rate is used?

Pat
---
Comment 11 Chuck Ebbert 2007-08-17 11:46:13 EDT
Serial console won't help, it's not printing anything worth capturing.

Try some of the usual kernel options:

  maxcpus=1
  pci=noacpi
  pci=nomsi,nommconf
  nolapic
Comment 12 Pat Kane 2007-08-17 19:08:33 EDT
I connected a serial console and add "console=ttyS0,9600" to the
boot line, but got no output on the tty line, does the F8 kernel 
have tty line console support turned on?  I get the expected tty
console output on my F7 system

I tried those kernel options but none helped, I even tried them
all at once.
Comment 13 Jarod Wilson 2007-08-20 11:52:58 EDT
Serial console support is definitely enabled. Are you sure the device listening
on the other end was set to the right bitrate? And are you sure the port you
were trying to output through is ttyS0 and not ttyS1? (Just throwing some ideas
out there, this should definitely work).
Comment 14 Pat Kane 2007-08-20 12:32:26 EDT
Yes and yes.  I tested the console HW setup by booting from the F7 DVD on the
laptop and see console output on ttyS0.

The hang must be very early in the kernel boot process, before the 
console is set up?
Comment 15 Jarod Wilson 2007-08-20 12:42:56 EDT
We may just be suppressing all output prior to where you're getting hung up, but
its possible the hang is before the console is set up too. Try removing (if
present) 'quiet' from the kernel params, and add 'debug earlyprintk', and maybe
you'll get something...
Comment 16 Chuck Ebbert 2007-08-20 15:04:54 EDT
There were some bugs fixed in the last few days that caused systems to hang like
this. Test2 should have those fixes, or just try the latest rawhide boot.iso.

ftp://download.fedora.redhat.com/pub/fedora/linux/development/i386/os/images/boot.iso
Comment 17 Pat Kane 2007-08-20 20:04:21 EDT
I just tried that rawhide boot.iso but see no difference.

I also tried booting with the options "debug earlyprintk=vga"
and "debug earlyprintk=serial,ttyS0,9600" but those did not
produce any new debug output.

Comment 18 Gerald Henriksen 2007-08-20 21:51:03 EDT
Just upgraded to the latest rawhide kernel via yum and still can't boot.
Comment 19 Pat Kane 2007-08-20 23:18:38 EDT
If someone has the time to do a git-bisect I am willing
to try booting each kernel.   Could a single iso image
be created with all (10-ish?) kernels?  That would be the C'sP.
Comment 20 William Lovaton 2007-08-23 17:29:35 EDT
(In reply to comment #11)
> Serial console won't help, it's not printing anything worth capturing.
> 
> Try some of the usual kernel options:
> 
>   maxcpus=1
>   pci=noacpi
>   pci=nomsi,nommconf
>   nolapic

Chuck, I tried pci=nomsi,nommconf and it worked for me.  In my case the kernel
(2.6.22.2-57.fc7 from updates-testing) was blocking at the very beginning just
after uncompressing the kernel.  If I boot from the original Fedora 7 kernel
(kernel-2.6.21-1.3194.fc7), which works fine, the next line in the boot process
is that Nash thing.

What are the implications of running with this kernel option (pci=nomsi,nommconf)??


[william@localhost ~]$ /sbin/lspci 
00:00.0 Host bridge: Intel Corporation 82Q963/Q965 Memory Controller Hub (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82Q963/Q965 Integrated
Graphics Controller (rev 02)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Contoller #4 (rev 02)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Controller #5 (rev 02)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI
Controller #2 (rev 02)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller
(rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1
(rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2
(rev 02)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Controller #2 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI
Controller #1 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev f2)
00:1f.0 ISA bridge: Intel Corporation 82801HB/HR (ICH8/R) LPC Interface
Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801H (ICH8 Family) 4 port SATA IDE
Controller (rev 02)
00:1f.5 IDE interface: Intel Corporation 82801H (ICH8 Family) 2 port SATA IDE
Controller (rev 02)
3f:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5755 Gigabit
Ethernet PCI Express (rev 02)
Comment 21 Chuck Ebbert 2007-08-23 17:35:45 EDT
(In reply to comment #20)
> 
> What are the implications of running with this kernel option
(pci=nomsi,nommconf)??
> 

Nothing worth worrying about unless you have really exotic networking hardware
(network will not reach full speed with 10Gbit ethernet) or very new systems
that need mmconfig to configure their hardware (the devices won't work at all
which will be easy to spot.) It would be interesting to see if just "pci=nomsi"
or "pci=nommconf" alone fix the problem.
Comment 22 William Lovaton 2007-08-24 16:28:49 EDT
I first tried pci=nomsi and it didn't boot showing the exact same behavior as
before.  Then I tried pci=nommconf alone and everything works fine so far.
Comment 23 Pat Kane 2007-08-27 22:08:14 EDT
The  2.6.23-0.139.rc3.git10.fc8 kernel does not boot on laptop 
  Dell Inspiron 8600
  Service Tag: DC0Y441  BIOS: A14

It still hangs in the same place as the previous F8 kernels,
before uncompressing:

   Loading vmlinuz ............................
   Loading initrd.img .......................
   .....
   Ready.
Comment 24 Pat Kane 2007-08-29 17:17:05 EDT
Same boot hang with  2.6.23-0.142.rc3.git10.fc8  kernel.
Comment 25 Gerald Henriksen 2007-08-30 17:15:22 EDT
kernel-2.6.23-0.149.rc4.fc8 still results in no booting kernel.
Comment 26 Pat Kane 2007-08-31 00:14:02 EDT
2.6.23-0.153.rc4.fc8  has same problem.
Comment 27 Chuck Ebbert 2007-08-31 16:54:31 EDT
Fix was found today:

http://lkml.org/lkml/2007/8/31/188

Not a final fix, just a hack, but this will be fixed properly soon.
Comment 28 Pat Kane 2007-08-31 17:30:48 EDT
That patch fixes the hang on my Dell Inspiron 8600.  Thanks!
Comment 29 Gerald Henriksen 2007-09-04 09:51:49 EDT
2.6.23-0.161.rc5.fc8 fixes the problem for me.

Note You need to log in before you can comment on or make changes to this bug.